## NAME

d.vect.thematic - Displays a thematic vector map in the active graphics frame.

## KEYWORDS

display, cartography, choropleth map, legend

## SYNOPSIS

d.vect.thematic
d.vect.thematic --help
d.vect.thematic [-len] map=name [layer=string] column=name [breaks=string[,string,...]] [algorithm=string] [nclasses=integer] colors=string[,string,...] [where=sql_query] [boundary_width=integer] [boundary_color=name] [legendfile=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-l
  Create legend information and send to stdout
-e
  When printing legend info, include extended statistical info from classification algorithm
-n
  Do not draw map, only output the legend
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of vector map
  Or data source for direct OGR access
layer=string
  Layer number or name
  Layer number. If -1, all layers are displayed.
  Default: 1
column=name [required]
  Name of attribute column to be classified
breaks=string[,string,...]
  Class breaks, without minimum and maximum
algorithm=string
  Algorithm to use for classification
  Options: int, std, qua, equ, dis
  int: simple intervals
  std: standard deviations
  qua: quantiles
  equ: equiprobable (normal distribution)
nclasses=integer
  Number of classes to define
colors=string[,string,...] [required]
  Colors (one per class)
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
boundary_width=integer
  Boundary width
  Default: 0
boundary_color=name
  Boundary color
  Either a standard color name or R:G:B triplet
  Default: black
legendfile=name
  File in which to save d.graph instructions for legend display

## DESCRIPTION

d.vect.thematic draws thematic choropleth vector maps based on an attribute column or an expression involving several columns. It takes a list of class breaks (excluding the minimum and maximum values) and a list of colors to apply to the classes (has to be the number of class breaks + 1).

Instead of a list of class breaks, the user can also chose a classification algorithm and a number of classes (nbclasses). See the v.class for more information on these different algorithms.

Important note: The module currently supports only area vector type. For displaying thematic choropleth vector maps of other types (points, lines) can be used d.vect.thematic2 available in AddOns via g.extension.

## NOTES

The -l flag instructs the module to print legend information (class min | class max | number of observations in class | color) to standard output for futher use in graphical software. When combined with the -e flag, the legend information will be extended with some additional statistical information. If the -n flag is set, the module will only print the legend information without drawing the map. If the user gives a legendfile, the module will write d.graph instructions for painting a legend into that file.

## EXAMPLES

### Thematic map with classes

    d.vect.thematic -l map=communes3 column=pop \
      breaks=111393.250000,222785.500000,334177.750000 \
      colors="255:0:0,0:255:0,0:0:255,0,0,0"

### Thematic map with calculated class breaks

The following example uses a calculated attribute (`density = pop/area`) and the standard deviation algorithm to calculate class breaks for 5 classes:

    d.vect.thematic -l map=communes2 column=pop/area algorithm=std \
      nbclasses=5 colors="0:0:255,50:100:255,255:100:50,255:0:0,156:0:0"

To actually draw the legend for the polygons in the graphical display, the procedure is:

    # first save legend instructions to a file
    d.vect.thematic -n map=communes2 column=pop/area algorithm=std \
      nbclasses=5 colors="0:0:255,50:100:255,255:100:50,255:0:0,156:0:0" \
      legendfile=legend_pop_dens

    # open a monitor
    d.mon wx0

    # draw the map
    d.vect.thematic map=communes2 column=pop/area algorithm=std \
      nbclasses=5 colors="0:0:255,50:100:255,255:100:50,255:0:0,156:0:0"

    # draw the legend
    d.graph input=legend_pop_dens

In order to further enhance this legend, edit the legend file accordingly and rerun the process.

### Thematic map with calculated class breaks

Example for the North Carolina sample dataset, colorizing polygons by area size:

    # first save legend instructions to a file
    d.vect.thematic -n map=geology column=SHAPE_area algorithm=int nclasses=6 \
     colors=215:48:39,252:141:89,254:224:139,217:239:139,145:207:96,26:152:80 \
     legendfile=geology.leg

    # open the graphical display
    d.mon wx0
    # draw outline of polygons
    d.vect map=geology type=boundary
    # draw color fill
    d.vect.thematic map=geology column=SHAPE_area algorithm=int nclasses=6 \
     colors="215:48:39,252:141:89,254:224:139,217:239:139,145:207:96,26:152:80" \
    # draw legend
    d.graph input=geology.leg

Thematic map of area sizes

## SEE ALSO

v.class, d.vect, d.graph, v.univar

Check also Python module from AddOns: d.vect.thematic2

## AUTHOR

Moritz Lennert

Last changed: $Date: 2015-08-11 23:07:09 +0200 (Tue, 11 Aug 2015) $

Main index | Display index | Topics index | Keywords index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.0.4 Reference Manual